Package org.optaplanner.core.impl.heuristic.selector.value.chained

## Class SubChainSelectorFactory<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.heuristic.selector.value.chained.SubChainSelectorFactory<Solution_>

-     public class SubChainSelectorFactory<Solution_>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SubChainSelectorFactory​(SubChainSelectorConfig subChainSelectorConfig)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SubChainSelector<Solution_>` | `buildSubChainSelector​(HeuristicConfigPolicy<Solution_> configPolicy, EntityDescriptor<Solution_> entityDescriptor, SelectionCacheType minimumCacheType, SelectionOrder inheritedSelectionOrder)` |
    `static <Solution_> SubChainSelectorFactory<Solution_>` | `create​(SubChainSelectorConfig subChainSelectorConfig)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubChainSelectorFactory

          public SubChainSelectorFactory​(SubChainSelectorConfig subChainSelectorConfig)

  - ### Method Detail

    - #### create

          public static <Solution_> SubChainSelectorFactory<Solution_> create​(SubChainSelectorConfig subChainSelectorConfig)

    - #### buildSubChainSelector

          public SubChainSelector<Solution_> buildSubChainSelector​(HeuristicConfigPolicy<Solution_> configPolicy,
                                                                   EntityDescriptor<Solution_> entityDescriptor,
                                                                   SelectionCacheType minimumCacheType,
                                                                   SelectionOrder inheritedSelectionOrder)

      Parameters:
        `configPolicy` - never null
        `entityDescriptor` - never null
        `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
        `inheritedSelectionOrder` - never null
      Returns:
        never null